com.r3corda.core.crypto / PublicKeyTree / Builder

# Builder

`class Builder`

A helper class for building a PublicKeyTree.Node.

### Constructors

<init> | `Builder()` A helper class for building a PublicKeyTree.Node.

### Functions

addKey | `fun addKey(publicKey: PublicKeyTree, weight: Int = 1): Builder` Adds a child PublicKeyTree node. Specifying a weight for the child is optional and will default to 1.
addKeys | `fun addKeys(vararg publicKeys: PublicKeyTree): Builder`
addLeaves | `fun addLeaves(publicKeys: List<PublicKey>): Builder` `fun addLeaves(vararg publicKeys: PublicKey): Builder`
build | `fun build(threshold: Int? = null): PublicKeyTree` Builds the PublicKeyTree.Node. If threshold is not specified, it will default to the size of the children, effectively generating an "N of N" requirement.